Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#772 program crashes on resize

closed-accepted
Eric L.
Linux (67)
5
2010-11-01
2008-10-30
Anonymous
No

I'm using Ubuntu 8.04 with up-to-date packages and am having problems when I resize the application window. I am using the Ubuntu Java packages. I did see the warning; however, the resize problem is the only one that I seem to be running into.

This is the version I have installed:
http://downloads.sourceforge.net/freemind/freemind_0.8.1-1_all.deb?modtime=1202334355&big_mirror=0

The error is as follows:

emmajane@gollum:~/Desktop$ freemind
ERROR: Your Java is not a derivative from Sun's code,
=======================================
FREEMIND WILL MOST PROBABLY *NOT* WORK,
=======================================
define JAVACMD, JAVA_BINDIR, JAVA_HOME or PATH in order
to point to such a VM. See the manpage of freemind(1) for details.
29-Oct-2008 10:07:31 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF: vmcid: SUN minor code: 1201 completed: No
at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:116)
at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:126)
at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:838)
at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1058)
at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:341)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
at java.lang.Class.newInstance0(Class.java:372)
at java.lang.Class.newInstance(Class.java:325)
at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:874)
at java.awt.Window.getToolkit(Window.java:1170)
at java.awt.Window.init(Window.java:400)
at java.awt.Window.<init>(Window.java:438)
at java.awt.Frame.<init>(Frame.java:419)
at javax.swing.JFrame.<init>(JFrame.java:224)
at freemind.main.FreeMind.<init>(FreeMind.java:107)
at freemind.main.FreeMind.main(FreeMind.java:647)

Looking for user properties:
/home/emmajane/.freemind/user.properties

User properties found.
Default (System) Look & Feel: com.sun.java.swing.plaf.gtk.GTKLookAndFeel
[Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried to get view without being able to get map module.
29-Oct-2008 10:07:32 PM freemind.modes.ModesCreator getAllModes
INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileMode, freemind.modes.mindmapmode.MindMapMode]
29-Oct-2008 10:07:32 PM freemind.modes.ModesCreator getMode
INFO: Initializing mode MindMap
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: createIconActions
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: createNodeHookActions
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: mindmap_menus
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: MindMapPopupMenu
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: MindMapToolBar
29-Oct-2008 10:07:33 PM freemind.modes.mindmapmode.MindMapController <init>
INFO: setAllActions
29-Oct-2008 10:07:33 PM freemind.modes.ModesCreator getMode
INFO: Done: Initializing mode MindMap
[Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried to get view without being able to get map module.
[Freemind-Developer-Internal-Warning (do not write a bug report, please)]: Tried to get view without being able to get map module.
The program '<unknown>' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
(Details: serial 1136 error_code 8 request_code 145 minor_code 4)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)

Discussion

  • Eric L.
    Eric L.
    2008-11-01

    • status: open --> pending-accepted
     
  • Eric L.
    Eric L.
    2008-11-01

    Given the fact that the bug has been sent anonymously, and I offered a resolution, I close the bug. Reopen if necessary.

    Eric

     
    • status: pending-accepted --> closed-accepted
     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 730 days (the time period specified by
    the administrator of this Tracker).